高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviVehicleInfo Class Reference

`#include <AMapNaviCommonObj.h>`

Inheritance diagram for AMapNaviVehicleInfo:

## Properties
NSString * | vehicleId
BOOL | isETARestriction
NSInteger | type
BOOL | isLoadIgnore
NSInteger | size
NSInteger | axisNums
CGFloat | width
CGFloat | height
CGFloat | length
CGFloat | load
CGFloat | weight
NSInteger | motorcycleCC

## Detailed Description

车辆信息 since 6.0.0 Vehicle information

## Property Documentation

## ◆ axisNums

- (NSInteger) axisNums
| read write nonatomic assign

设置货车的轴数(用来计算过路费及限重), 取值[0-255], type = 1时生效, 默认为2 Set the number of axles for the truck (used to calculate tolls and weight limits), value range [0-255], effective when type = 1, default is 2

## ◆ height

- (CGFloat) height
| read write nonatomic assign

设置货车的高度, 范围:取值[0-25.5], 单位:米, type = 1时生效, 默认1.6米 Set the height of the truck, range: value [0-25.5], unit: meters, effective when type = 1, default 1.6 meters

## ◆ isETARestriction

- (BOOL) isETARestriction
| read write nonatomic assign

是否开启ETA请求的躲避车辆限行, 默认为YES. 注意:只有设置为YES, 且设置了车牌号才能躲避车辆限行 Whether to enable ETA request to avoid vehicle restrictions, default is YES. Note: Only when set to YES and the license plate number is set can vehicle restrictions be avoided.

## ◆ isLoadIgnore

- (BOOL) isLoadIgnore
| read write nonatomic assign

算路时是否忽略货车重量, 默认为No, 即不忽略, 也就是算路时会考虑货车的重量. 如为YES,就会忽略货车重量. since 6.2.0 Whether to ignore the weight of the truck when calculating the route, the default is No, which means not to ignore, that is, the weight of the truck will be considered when calculating the route. If it is YES, the weight of the truck will be ignored

## ◆ length

- (CGFloat) length
| read write nonatomic assign

设置货车的最大长度, 取值[0-25], 单位:米, type = 1时生效, 默认6米 Set the maximum length of the truck, value [0-25], unit: meters, effective when type = 1, default 6 meters

## ◆ load

- (CGFloat) load
| read write nonatomic assign

设置货车的总重, 范围:取值[0-6553.5], 单位:吨, type = 1时生效, 注意:总重 = 车重 + 核定载重 Set the total weight of the truck, range: value [0-6553.5], unit: ton, effective when type = 1, note: total weight = vehicle weight + approved load capacity

## ◆ motorcycleCC

- (NSInteger) motorcycleCC
| read write nonatomic assign

摩托车排量, 单位: 毫升 since 8.0.0 Motorcycle displacement, unit: milliliter

## ◆ size

- (NSInteger) size
| read write nonatomic assign

设置货车的类型(大小), 1:微型货车; 2:轻型/小型货车; 3:中型货车; 4:重型货车, 默认为2 Set the type (size) of truck, 1: Mini truck; 2: Light/Small truck; 3: Medium truck; 4: Heavy truck, default is 2

## ◆ type

- (NSInteger) type
| read write nonatomic assign

设置车辆类型, 0:燃油客车; 1:燃油货车; 2:纯电动客车; 3:纯电动货车; 4:插电式混动客车; 5:插电式混动货车; since 8.0.0 新增11:摩托车. 默认0(小车). 注意:只有设置了货车, 其他关于货车的属性设置才会生效 Set vehicle type, 0: Fuel bus; 1: Fuel truck; 2: Pure electric bus; 3: Pure electric truck; 4: Plug-in hybrid bus; 5: Plug-in hybrid truck; since 8.0.0, added 11: Motorcycle. Default 0 (Car). Note: Only when the truck is set, other truck-related attribute settings will take effect.

## ◆ vehicleId

- (NSString*) vehicleId
| read write nonatomic strong

车牌号,如"京H1N11", since 8.0.0 支持摩托车车牌号. License plate number, e.g. "京H1N11", since 8.0.0 supports motorcycle license plate numbers

## ◆ weight

- (CGFloat) weight
| read write nonatomic assign

设置货车的核定载重, 范围:取值[0-6553.5], 单位:吨, type = 1时生效 Set the approved load capacity of the truck, range: value [0-6553.5], unit: ton, effective when type = 1

## ◆ width

- (CGFloat) width
| read write nonatomic assign

设置货车的宽度, 范围:[0-25.5], 单位:米, type = 1时生效, 默认2.5米 Set the width of the truck, range: [0-25.5], unit: meters, effective when type = 1, default is 2.5 meters

The documentation for this class was generated from the following file:

- AMapNaviCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。